package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工委会管理对象 sur_project_working_committee
 * 
 * @author ruoyi
 * @date 2024-04-06
 */
public class SurProjectWorkingCommittee extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 外建 */
    @Excel(name = "外建")
    private Long committeeId;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long projectId;

    /** 分类字典project_working_type */
    @Excel(name = "分类字典project_working_type")
    private Long workingType;

    /** 成本名称 */
    @Excel(name = "成本名称")
    private String costName;

    /** 金额(万元) */
    @Excel(name = "金额(万元)")
    private Long money;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCommitteeId(Long committeeId) 
    {
        this.committeeId = committeeId;
    }

    public Long getCommitteeId() 
    {
        return committeeId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setWorkingType(Long workingType) 
    {
        this.workingType = workingType;
    }

    public Long getWorkingType() 
    {
        return workingType;
    }
    public void setCostName(String costName) 
    {
        this.costName = costName;
    }

    public String getCostName() 
    {
        return costName;
    }
    public void setMoney(Long money) 
    {
        this.money = money;
    }

    public Long getMoney() 
    {
        return money;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("committeeId", getCommitteeId())
            .append("projectId", getProjectId())
            .append("workingType", getWorkingType())
            .append("costName", getCostName())
            .append("money", getMoney())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
