package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 * 
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * yanzhu系统应用注册 redis key
     */
    public static final String YANZHU_SYSTEM_CONFIG = "yanzhu_system_config:";

    /**
     * 微信公众号模板消息 redis key
     */
    public static final String WX_MPMESSAGE_KEY = "wx.mpmessage.key::";

    /**
     * 微信消息推送openId
     */
    public static final String WX_MPMESSAGE_OPENID = "wx.mpmessage.openId::";

    /**
     * 微信消息推送通知人名称
     */
    public static final String WX_MPMESSAGE_UNAME = "wx.mpmessage.uname::";

    /**
     * 微信消息推送项目名称
     */
    public static final String WX_MPMESSAGE_PNAME = "wx.mpmessage.pname::";

    /**
     * 微信消息推送单位名称
     */
    public static final String WX_MPMESSAGE_DNAME = "wx.mpmessage.dname::";

    /**
     * 微信消息推送项目总监
     */
    public static final String WX_MPMESSAGE_P_SUP = "wx.mpmessage.p.sup::";

    /**
     * 微信消息推送项目甲代
     */
    public static final String WX_MPMESSAGE_P_MAG = "wx.mpmessage.p.mag::";
}
